Bug 1235 - Please consider open-sourcing the media player
: Please consider open-sourcing the media player
Status: RESOLVED WONTFIX
Product: Licensing Change Requests
General
: 5.0/(3.2010.02-8)
: All Maemo
: Unspecified enhancement with 56 votes (vote)
: ---
Assigned To: Quim Gil
: licensing-requests
:
:
:
:
  Show dependency tree
 
Reported: 2007-04-23 12:52 UTC by Hanno Zulla
Modified: 2010-02-19 07:43 UTC (History)
14 users (show)

See Also:


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description Hanno Zulla (reporter) 2007-04-23 12:52:00 UTC
Hi,

there are some minor bugs / enhancement requests in bugzilla that could be
solved if Nokia accepted patch submissions from external developers.

Examples for mediaplayer-ui are:

https://maemo.org/bugzilla/show_bug.cgi?id=1228
https://maemo.org/bugzilla/show_bug.cgi?id=1129

These aren't exactly big changes to the application, but I hesitate to write my
own gstreamer user interface application when the existing applications works fine.

Please consider a) open sourcing this application and other apps where possible
and b) please build a path that allows external developers to submit minor patches.

Thank you.
Comment 1 Henri Bergius 2007-04-23 13:36:29 UTC
This is of course a question of opinion, but I'd suggest open sourcing Canola
instead and deprecating the older media player in favor of Canola.

This would bring a much nicer media UI into the platform as default.
Comment 2 Quim Gil nokia 2007-04-23 14:31:26 UTC
CCing me
Comment 3 Neil MacLeod maemo.org 2007-04-23 17:32:32 UTC
A couple more for you :) The first is (in theory) _extremely_ trivial:

https://maemo.org/bugzilla/show_bug.cgi?id=1064
https://maemo.org/bugzilla/show_bug.cgi?id=954
Comment 4 Quim Gil nokia 2007-08-16 07:20:18 UTC
Assigning this to me. Please don't expect moves or even compromises anytime
soon, but I wanted to state that the channel is open even if it's silent.  :)

So this proposal is under consideration. Nothing else than this, but nothinbg
less either. I will report here as soon as we decide something either way. 

Let me just put this in context:

- When opensourcing components, each component is a different thing. Libraries,
engine, UI are different things. Take as an example the Mozilla based browser.

- The Canola project is developed by INdT and follows its own way. It's a very
interesting product, yes. We don't see it as a candidate to be integrated in
the platform as the new media player, though. We can also drop this topic.

- I will ask the people working on the media player what is going on with all
these bugs submitted. Your feedback and work is woth an answer. No need to
paste more bug URLs here though, we know where to find them.  :)
Comment 5 Quim Gil nokia 2008-10-06 15:06:50 UTC
There is some progress with the Media Player development. In Fremantle the
functionality will be covered by two main components:

- Midas, an open source media framework available also for third party
developers to be released soon, and happy to get testers, contributors and so
on. For instance, Bug 1129 will be fixed by Midas but if there are related use
cases the project will be open to receive patches.

- The Media Player UI, keeping the closed license according to the current
plans. I have to ask around to know how much is this set in stone. If you want
to influence the plans *I personally think* you could by orchestrating some
kind of coordinated call including the many media player projects around Maemo
nowadays. Would they consider contributing to a stronger official open source
Maemo media player at the expense of their own current projects?

I guess the release of Midas will be helpful for everybody to consider if this
is an interesting path for the community to join and contribute. If so, then
opening the UI is a step closer. If not, then probably opening the UI won't
help much either.

Let us know what do you think.
Comment 6 Hubert Figuiere 2009-05-30 22:18:03 UTC
(In reply to comment #5)

> - The Media Player UI, keeping the closed license according to the current
> plans. I have to ask around to know how much is this set in stone. If you want
> to influence the plans *I personally think* you could by orchestrating some
> kind of coordinated call including the many media player projects around Maemo
> nowadays. Would they consider contributing to a stronger official open source
> Maemo media player at the expense of their own current projects?

IMHO this is the wrong approach. To consider.

The question: is Nokia willing to see enhancements and innovation on top of
their media player? The answer is currently no.
The media player experience has been just frustrating so far. There are so many
usability issues I find everyday I use is, between the lack of Ogg Vorbis
support (and meta data when the unofficial Ogg Vorbis support is in) the lack
of responsiveness, the unusable tune selection (sort by artist, I can't select
all the songs from the artist to play them), etc. The list is so long that it
would be faster for me to rewrite one than to file all the bugs.

I see no reason for Nokia to close the media player UI. (actually I see no
reason to close any code, but that's a different topic, let's not slide here)

Also if Nokia think that they should open the media player to get free
development time, they think wrong (and that how I read your comment above).
This does not work, it is proven.  You don't magically get contribution because
it is open, you get contributions because people need something, and having the
code open is just a mean that allow them to do that, otherwise they look away,
or reinvent the wheel.
Comment 7 zaheer merali 2009-12-01 14:21:42 UTC
There are many requests like changing audio track, subtitles on/off. These
kinds of things the community can help but only if the media player was open
sourced. Otherwise what will probably happen is someone will just get
frustrated and write a new media player ui which will be a waste of effort.
Comment 8 Vladislav Savchenkov 2009-12-01 15:14:15 UTC
It would be highly appreciated if a Nokia employee could tell us if comment #5
is still relevant. Can we hope for any improvement on this?

By the way, can anybody please set "Hardware" to N900 and "Version" to 5.0
(non-beta).
Comment 9 sc 2009-12-01 15:25:42 UTC
FYI, as a workaround for advanced users, "mplayer" can be found in the
freemantel testing repository.

By using SSH to the console all of the features of mplayer can be accessed from
a second system, including pause and seeking. I haven't tested it but would
assume selecting the audio track, subtitles and similar features mentioned in
Comment #7 are also available.

I find this useful when using the n900 as a portable video player, connected to
a friend's television through the TV-Out cable. By ssh'ing over wifi to the
n900 I can pause, rewind, and select videos from across the room.
Comment 10 Vladislav Savchenkov 2009-12-01 15:31:25 UTC
(In reply to comment #9)
> FYI, as a workaround for advanced users, "mplayer" can be found in the
> freemantel testing repository.
> 
> By using SSH to the console all of the features of mplayer can be accessed from
> a second system, including pause and seeking. I haven't tested it but would
> assume selecting the audio track, subtitles and similar features mentioned in
> Comment #7 are also available.
> 
> I find this useful when using the n900 as a portable video player, connected to
> a friend's television through the TV-Out cable. By ssh'ing over wifi to the
> n900 I can pause, rewind, and select videos from across the room.
> 

MPlayer is a very good player indeed but it has the only critical disadvantage:
it does not (and probably will never) support hardware acceleration via
IVA2+/OpenMAX.
Comment 11 Andre Klapper maemo.org 2009-12-01 15:32:05 UTC
(In reply to comment #8)
> It would be highly appreciated if a Nokia employee could tell us if comment #5
> is still relevant. Can we hope for any improvement on this?

What exact question do you have here? What is "this"?
As for Midas, it is open source and has been available since February if I
remember correctly.
Comment 12 Vladislav Savchenkov 2009-12-01 15:41:48 UTC
(In reply to comment #11)
> (In reply to comment #8)
> > It would be highly appreciated if a Nokia employee could tell us if comment #5
> > is still relevant. Can we hope for any improvement on this?
> 
> What exact question do you have here? What is "this"?
> As for Midas, it is open source and has been available since February if I
> remember correctly.
> 

Sorry, I was meaning open-sourcing the Media Player as it is, including GUI.
As far as I understand, Midas is not the player but an underlying development
framework (a thick wrapper around gstreamer and tracker?). Most if not all
missing features seem to be perfectly supported by Midas but not by the UI.
Correct me if I am wrong, I didn't dig very deep under the hood.
Comment 13 ufa 2010-02-05 18:40:49 UTC
Just to add, I don't think it is reasonable to have a Media Player without
subtitle support. I think the community can make an excellent job adding the
missing features.
Comment 14 Andre Klapper maemo.org 2010-02-16 19:52:45 UTC
(Moving all Licensing Change Requests to a separate Product in Bugzilla)
Comment 15 Carsten Munk maemo.org 2010-02-18 16:49:35 UTC
Temporarily setting this to priority unspecified while it gets evaluated.
Comment 16 Quim Gil nokia 2010-02-18 23:05:20 UTC
I have tried, but at this point the best is to resolve as WONTFIX.

The Fremantle Media Player won't be opened.

The Media Player in MeeGo devices from Nokia have no plans to be open source.
Still, it's architecture will allow the connection of plugins, and this will
offer more flexibility extending the core functionality. Plugins developed by
the community or third parties can have an open license.

MeeGo plans to offer a set of reference applications under an open source
license. The concrete list of applications hasn't been published but common
sense tells that a media player will be there. Whther you will prefer to
contribute to that media player or develop / port another one is up to you.
Comment 17 Clayton 2010-02-18 23:52:45 UTC
"The concrete list of applications hasn't been published but common
sense tells that a media player will be there."

Common sense told the 52 voters of this bug that in an open-source platform,
the media player is typically open-source. Just saying..
Comment 18 Neil MacLeod maemo.org 2010-02-19 01:49:10 UTC
(In reply to comment #17)
> Common sense told the 52 voters of this bug that in an open-source platform,
> the media player is typically open-source. Just saying..
> 

Well yeah, but in an open source environment common sense also dictates that to
differentiate one business from another you have to hold on to a few Aces...
I'm not saying the current media player is an Ace (far from it) but Nokia
clearly want to hold on to it and I think that's understandable (if a little
misguided unless it can be significantly improved so that it is better
integrated with the rest of the system - plugins might help here).
Comment 19 Quim Gil nokia 2010-02-19 07:43:04 UTC
(In reply to comment #17)
> "The concrete list of applications hasn't been published but common
> sense tells that a media player will be there."
> 
> Common sense told the 52 voters of this bug that in an open-source platform,
> the media player is typically open-source. Just saying..


MeeGo reference apps will be all open source. I'm only saying that list of apps
hasn't been public and it's not my work to guess whether a media player will be
there or not.

About the current Maemo Media Player and whatever comes next as proprietary
software: voting is fine as a barometer of community interest but it's Nokia
who makes the investment. It makes sense to say that Nokia is free to choose
the business model around that investment. And you are free to use that media
player or an alternative.

No need to discuss further here. If you want to know more about a free media
player officially supported in MeeGo please ask to the MeeGo project.